# The simplest program for beginners with symbolic names (named constatnts)

ROM:	.EQU	$0000		#Symbolic name for the first address of ROM
RAM:	.EQU	$4000		#Symbolic name for the first address of RAM
LCD:	.EQU	$F031		#Symbolic name for LCD address
CLR:	.EQU	$10		#Symbolic name for LCD clearcode

	.ORG	RAM		#Place of first byte of machine code in RAM
	LDA	CLR		#Load clearcode to ACC
	STA	[LCD]		#Store ACC to main LCD display
	JMP	[ROM]		#Give back control to ROM
	.END			#End of source

#  // Analogy in C:
#  #define CLR 10;
