# Quite simple approximation of getch() and putch()

LCD:	.EQU	$F031		#The address of LCD buffer (output)
KEYP: .EQU	$F011		#The address of keypad buffer (input)

	.ORG	$4000

READ:	LDA	[KEYP]	#Read from keypad buffer
	JN	[READ]	#If no pushed button, buffer is $FF which sets the N status register bit, so jump back to read again

	STA	[LCD]		#store ACC to main LCD display

	JMP	[$0000]	#give back control to ROM, finish execution
	.END			#end of source

# // Analogy in C
# register char x;
# getch(x);
# putch(x);
# return 0;