# Application of strings (arrays)

	.ORG	$4000

	BLDX	$0000		#Load the index register with 0 

	JMP	[COND]	#Jump back to the condition

CORE:	LDA	[TXT,X]	#Load the actual character
	STA	[$F031]	#Write character to display

	INCX 			#Increment the index register

COND:	LDA	[TXT,X]	#Load accumulator with character
	JNZ	[CORE]	#If character is not $00 (string end) jump to core

	JMP	[$0000]

TXT:	.BYTE	$48, 	$45, 	$4C, 	$4C, 	$4F,	$00 # 'H', 'E', 'L', 'L', 'O', '\0'
	.END

# // Analogy in C:
# static char TXT[10]="HELLO"; //static char *TXT="HELLO";
# register char i=0;
# while(TXT[i]!='\0'){
#   putch(TXT[i]);
#   i++;
#   }
# return 0;