# Static variable declaration and incrementation

DISPLAY:	.EQU	$F031		#Symbolic name for LCD aggress

		.ORG	$4000		#Start address of the program is $4000 (RAM)

		LDA	[VAR]		#Load the value of VAR to ACC
		INCA			#Increment the ACC ($05+$01=$06)
		STA	[VAR]		#Store back the ACC to memory address of VAR

		LDA	[VAR]		#Load the value of VAR to ACC
		STA	[DISPLAY]	#Print it

		JMP	[$0000]	#Taking control back to "system"

VAR:		.BYTE	$05		#Static variable declaration: allocation+initialization
		.END			#End of source

# // Analogy in C:
# static char VAR=5;
# VAR++;
# putch(VAR);
# return 0;