# if instruction/structure (without else)

	.ORG	$4000

	LDA	[N]		#Evaluation of ...
	CMPA	$05		#... the condition
	JNZ	[NEXT]	#If the condition is false skip true branch

	LDA	$21		#Instructions ...
	STA	[$F031]	#... in true branch

NEXT:	LDA	$2E		#Next instruction after if instruction
	STA	[$F031]	

	JMP	[$0000]	#Finish execution

N:	.BYTE	$04		#Static variable
	.END

# // Analogy in C:
# static char N=4;
# if(N==5)
#   putch('!');
# putch('.');
# return 0;


#Truth table of CMPA
#	  |	Z  |	C
#-------+------------
#ACC=OP |	1  |	0
#ACC>OP |	0  |	1
#ACC<OP |	0  |	0


